# Class MuteExpirationService | EchoHub Documentation
Background service that periodically unmutes users whose timed mute has expired.

# Class MuteExpirationService

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

Background service that periodically unmutes users whose timed mute has expired.

    public sealed class MuteExpirationService : BackgroundService, IDisposable

Inheritance
  object
  BackgroundService
  MuteExpirationService

Implements
  IDisposable

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### MuteExpirationService(IServiceScopeFactory, ILogger<MuteExpirationService>)

    public MuteExpirationService(IServiceScopeFactory scopeFactory, ILogger<MuteExpirationService> logger)

#### Parameters

`scopeFactory` IServiceScopeFactory
`logger` ILogger<MuteExpirationService>

## Methods

### ExecuteAsync(CancellationToken)

    protected override Task ExecuteAsync(CancellationToken stoppingToken)

#### Parameters

`stoppingToken` CancellationToken

#### Returns

Task